/*
 * Copyright (c) 2004-2021 Mellanox Technologies LTD. All rights reserved
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */

#include <infiniband/ibdiag/ibdiag_progress_bar.h>
#include <infiniband/ibdiag/ibdiagnet/ibdiagnet_plugins_ifc.h>

/******************* Progress Bar *******************/

void ProgressBarNodes::output()
{
    IBDIAG_ENTER;

    SCREEN_INFO_PRINT("Retrieving... " U64D_FMT "/" U64D_FMT " Request Port Nodes ("
                      U64D_FMT "/" U64D_FMT " Switches & " U64D_FMT "/" U64D_FMT
                      " CAs) retrieved.\r",
                      this->m_requests.m_complete, this->m_requests.m_total,
                      this->m_sw.m_complete, this->m_sw.m_total,
                      this->m_ca.m_complete, this->m_ca.m_total);
    fflush(stdout);

    IBDIAG_RETURN_VOID;
}

void ProgressBarPorts::output()
{
    IBDIAG_ENTER;

    SCREEN_INFO_PRINT("Retrieving... " U64D_FMT "/" U64D_FMT " Request Port MADs ("
                      U64D_FMT "/" U64D_FMT " Switch Ports & " U64D_FMT "/" U64D_FMT
                      " CAs Ports) retrieved.\r",
                      this->m_requests.m_complete, this->m_requests.m_total,
                      this->m_sw_ports.m_complete, this->m_sw_ports.m_total,
                      this->m_ca_ports.m_complete, this->m_ca_ports.m_total);
    fflush(stdout);

    IBDIAG_RETURN_VOID;
}

void ProgressBarDiscover::output()
{
    IBDIAG_ENTER;

    SCREEN_INFO_PRINT("Discovering ... " U64D_FMT " Nodes (" U64D_FMT " Switches & " U64D_FMT
                      " CAs) discovered.\r",
                      this->m_sw.m_complete + this->m_ca.m_complete,
                      this->m_sw.m_complete, this->m_ca.m_complete);
    fflush(stdout);

    IBDIAG_RETURN_VOID;
}
